# norootforbuild

Name:           clamtk
Version:        4.31
Release:        0
Summary:        GUI for the ClamAV Antivirus
# http://prdownloads.sourceforge.net/clamtk/clamtk-%{version}.tar.gz
Source:	        clamtk-%{version}.tar.bz2
Patch0:         clamtk-4.20-add_searchpath.patch
URL:            http://clamtk.sourceforge.net/
Group:          Productivity/Security
License:        Perl License
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
Requires:       clamav >= 0.88
Requires:       clamav-db
Requires:       perl perl-File-Find-Rule perl-libwww-perl perl-Date-Calc
Requires:       perl-Gtk2 perl-gettext
Requires:       perl-Net-DNS
Requires:       zenity
BuildRequires:  perl update-desktop-files
BuildArch:      noarch
#Obsoletes:      clamtk-kde

%description
ClamTk is a GUI front-end for ClamAV using Gtk2-perl.
It is designed to be an easy-to-use, point and click virus scanner.

%lang_package
%prep
%setup -q
%patch0

%build
%__gzip -dc clamtk.1.gz > clamtk.1
%__rm clamtk.1.gz

%install
%__install -D -m 0755 clamtk "%{buildroot}%{_bindir}/clamtk"
%__install -D -m 0644 clamtk.png "%{buildroot}%{_datadir}/pixmaps/clamtk.png"
%__install -D -m 0644 clamtk.desktop "%{buildroot}%{_datadir}/applications/%{name}.desktop"
%__install -D -m 0644 clamtk.1 "%{buildroot}%{_mandir}/man1/clamtk.1"

# use /usr/lib, not %{_libdir}:
%__install -d "%{buildroot}%{_prefix}/lib/ClamTk"
%__install -m0644 lib/*.pm "%{buildroot}%{_prefix}/lib/ClamTk/"

pushd po
for mo in *.mo; do
	lang="${mo%%.mo}"
	%__install -D -m 0644 "${mo}" "%{buildroot}%{_datadir}/locale/${lang}/LC_MESSAGES/%{name}.mo"
done
popd #po
for l in cs_CZ el_GR nl_BE ast; do
    %__rm -rf "%{buildroot}%{_datadir}/locale/$l"
done

%suse_update_desktop_file -r "%{name}" System Security

%find_lang "%{name}"

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc CHANGES DISCLAIMER LICENSE README
%{_bindir}/clamtk
%{_prefix}/lib/ClamTk
%{_datadir}/pixmaps/clamtk.png
%{_datadir}/applications/%{name}.desktop
%doc %{_mandir}/man1/clamtk.1%{ext_man}

%files lang -f "%{name}.lang"

